package media

import (
	"io"

	"git.icedream.tech/icedream/uplink/app/pubsub"
)

type MediaStream struct {
	MediaStreamInfo
	pubsub *pubsub.PubSubWriter
}

func (stream *MediaStream) Sub() io.ReadCloser {
	return stream.pubsub.Sub()
}
